For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contracts

List all contracts

get
Authorizations
AuthorizationstringRequired
Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired
Query parameters
Statusstring · enumOptionalPossible values:
PartnerIdstringOptional
Responses
200

OK

application/json
get/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contracts
GET /Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contracts HTTP/1.1
Host: api.impact.com
Authorization: Basic username:password
Accept: */*
200

OK

{
  "Contracts": [
    {
      "Id": "S-7777777",
      "PartnerId": 10000,
      "PartnerValue1": "",
      "Status": "ACTIVE",
      "StartDate": "2026-01-20T00:00:00-08:00",
      "EndDate": "",
      "BrandSignatory": "Justin Case",
      "BrandSignatoryDate": "2026-01-19T23:51:01-08:00",
      "PartnerSignatory": "Partner Person",
      "PartnerSignatoryDate": "2026-01-19T23:51:01-08:00",
      "DateCreated": "2026-01-19T23:51:01-08:00",
      "DateLastUpdated": "2026-01-19T23:51:01-08:00",
      "TemplateTerms": {
        "TemplateId": 99999,
        "VersionId": 6,
        "Name": "ACME Public Terms",
        "Labels": [
          "text"
        ],
        "Currency": "USD",
        "EventPayouts": [
          {
            "EventTypeId": 18500,
            "EventTypeName": "Online Sale",
            "EventCategory": "SALE",
            "DefaultPayoutRate": "15",
            "PayoutLevel": "ITEM"
          }
        ]
      },
      "PdfUri": "/Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777/Download",
      "Uri": "/Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777"
    }
  ]
}

Retrieve a contract

get
Authorizations
AuthorizationstringRequired
Path parameters
AccountSIDstringRequired
CampaignIdintegerRequired
ContractIdstringRequired
Responses
200

OK

application/json
IdstringOptional

The unique identifier for the contract.

Example: S-7777777
PartnerIdintegerOptional

The unique identifier of the partner the contract is with.

Example: 10000
PartnerValue1stringOptional

A custom value associated with the partner.

Statusstring · enumOptional

The current status of the contract.

Example: ACTIVEPossible values:
StartDatestring · date-timeOptional

The date and time the contract becomes active.

Example: 2026-01-20T00:00:00-08:00
EndDatestring · date-time · nullableOptional

The date and time the contract expires. Null for open-ended contracts.

BrandSignatorystringOptional

The name of the brand representative who signed the contract.

Example: Justin Case
BrandSignatoryDatestring · date-timeOptional

The date and time the brand signed the contract.

Example: 2026-01-19T23:51:01-08:00
PartnerSignatorystringOptional

The name of the partner representative who signed the contract.

Example: Partner Person
PartnerSignatoryDatestring · date-timeOptional

The date and time the partner signed the contract.

Example: 2026-01-19T23:51:01-08:00
DateCreatedstring · date-timeOptional

The date and time the contract was created.

Example: 2026-01-19T23:51:01-08:00
DateLastUpdatedstring · date-timeOptional

The date and time the contract was last updated.

Example: 2026-01-19T23:51:01-08:00
PdfUristring · uri-referenceOptional

The URI to download the contract as a PDF.

Example: /Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777/Download
Uristring · uri-referenceOptional

The unique reference to this contract in the impact.com API.

Example: /Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777
get/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contracts/{ContractId}
GET /Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contracts/{ContractId} HTTP/1.1
Host: api.impact.com
Authorization: Basic username:password
Accept: */*
200

OK

{
  "Id": "S-7777777",
  "PartnerId": 10000,
  "PartnerValue1": "",
  "Status": "ACTIVE",
  "StartDate": "2026-01-20T00:00:00-08:00",
  "EndDate": "",
  "BrandSignatory": "Justin Case",
  "BrandSignatoryDate": "2026-01-19T23:51:01-08:00",
  "PartnerSignatory": "Partner Person",
  "PartnerSignatoryDate": "2026-01-19T23:51:01-08:00",
  "DateCreated": "2026-01-19T23:51:01-08:00",
  "DateLastUpdated": "2026-01-19T23:51:01-08:00",
  "TemplateTerms": {
    "TemplateId": 99999,
    "VersionId": 6,
    "Name": "ACME Public Terms",
    "Labels": [
      "text"
    ],
    "Currency": "USD",
    "EventPayouts": [
      {
        "EventTypeId": 18500,
        "EventTypeName": "Online Sale",
        "EventCategory": "SALE",
        "DefaultPayoutRate": "15",
        "PayoutLevel": "ITEM"
      }
    ]
  },
  "PdfUri": "/Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777/Download",
  "Uri": "/Advertisers/<AccountSID>/Campaigns/1000/Contracts/S-7777777"
}

Last updated